Summary: A PAM module that can mount volumes for a user session
Name: pam_mount
Version: 0.9.25
Release: alt1.1
License: LGPL
Group: System/Base
Source: http://www.flyn.org/projects/%name/%name-%version.tar.bz2

Url: http://www.flyn.org
Requires: pam
# Automatically added by buildreq on Mon Aug 22 2005
BuildRequires: gcc-c++ glib2-devel libpam-devel libssl-devel libstdc++-devel openldap-clients pkgconfig zlib-devel

%description
This module is aimed at environments with SMB (Samba or Windows NT)
or NCP (Netware or Mars-NWE) servers that Unix users wish to access
transparently. It facilitates access to private volumes of these types
well. The module also supports mounting home directories using
loopback encrypted filesystems. The module was originally written for
use on the GNU/Linux operating system but has since been modified to
work on several flavors of BSD.

 o Every user can access his own volumes

 o The user needs to type the password just once (at login)

 o The mounting process is transparent to the users

 o There is no need to keep the login passwords in any additional file

 o The volumes are unmounted upon logout, so it saves system resources,
 avoiding the need of listing every every possibly useful remote
 volume in /etc/fstab or in an automount/supermount config file. This
 is also necessary for securing encrypted filesystems.

Pam_mount "understands" SMB, NCP, and any type of filesystem that can
be mounted using the standard mount command. If someone has a
particular need for a different filesystem, feel free to ask me to
include it and send me patches.

If you intend to use pam_mount to protect volumes on your computer
using an encrypted filesystem system, please know that there are many
other issues you need to consider in order to protect your data.
For example, you probably want to disable or encrypt your swap
partition (the cryptoswap can help you do this). Don't assume a
system is secure without carefully considering potential threats.

%prep
%setup

%build
%remove_optflags -Wall
%configure --libdir=/%_lib
make %{?_smp_mflags}

%install
%makeinstall libdir=/%_lib
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/security
install --mode=0644 config/pam_mount.conf $RPM_BUILD_ROOT/%_sysconfdir/security
rm -f $RPM_BUILD_ROOT/%_lib/security/pam_mount.a
rm -f $RPM_BUILD_ROOT/%_lib/security/pam_mount.la

%files
/%_lib/security/pam_mount.so
/%_lib/security/pam_mount_auth.so
/%_lib/security/pam_mount_session.so
%_sbindir/pmvarrun
%_bindir/mkehd
%_bindir/autoehd
%_bindir/passwdehd
%_bindir/mount.crypt
%_bindir/umount.crypt
%_mandir/man8/*
%config(noreplace) %_sysconfdir/security/pam_mount.conf

%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ

%changelog
* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.25-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Mon Aug 22 2005 Serge Ryabchun <sr@altlinux.ru> 0.9.25-alt1
   - Bump release for ALTLinux Sisyphus
